#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=nurek1.15_base.ps
projection=-JM16.0c+
region=-R68.7/70.1/38.1/39.0
gmt psbasemap $region $projection -Bxa0.5f0.1 -Bya0.5f0.1 -BWeSn+t'Base Map nurek1.15' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/g10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
    38.473    69.496
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
    38.358    69.517
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
    38.478    69.574
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
    38.688    69.739
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
    38.427    69.533
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    38.478    69.561
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
    38.668    69.953
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
    38.230    69.397
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
    38.791    69.831
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
    38.458    68.908
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
    38.464    69.150
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
    38.490    69.636
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
    38.491    68.758
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
    38.485    69.503
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
    38.577    69.630
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
    38.419    69.368
END
gmt psxy -: -R $projection -Sl8p+t"17" -G0 -O -K << END >> $psfile
    38.866    69.789
END
gmt psxy -: -R $projection -Sl8p+t"18" -G0 -O -K << END >> $psfile
    38.828    69.835
END
gmt psxy -: -R $projection -Sl8p+t"19" -G0 -O -K << END >> $psfile
    38.429    69.540
END
gmt psxy -: -R $projection -Sl8p+t"20" -G0 -O -K << END >> $psfile
    38.213    69.540
END
gmt psxy -: -R $projection -Sl8p+t"21" -G0 -O -K << END >> $psfile
    38.738    69.841
END
gmt psxy -: -R $projection -Sl8p+t"22" -G0 -O -K << END >> $psfile
    38.658    69.705
END
gmt psxy -: -R $projection -Sl8p+t"23" -G0 -O -K << END >> $psfile
    38.490    69.585
END
gmt psxy -: -R $projection -Sl8p+t"24" -G0 -O -K << END >> $psfile
    38.490    69.535
END
gmt psxy -: -R $projection -Sl8p+t"25" -G0 -O -K << END >> $psfile
    38.539    69.660
END
gmt psxy -: -R $projection -Sl8p+t"26" -G0 -O -K << END >> $psfile
    38.620    69.596
END
gmt psxy -: -R $projection -Sl8p+t"27" -G0 -O -K << END >> $psfile
    38.597    69.642
END
gmt psxy -: -R $projection -Sl8p+t"28" -G0 -O -K << END >> $psfile
    38.573    69.595
END
gmt psxy -: -R $projection -Sl8p+t"29" -G0 -O -K << END >> $psfile
    38.563    69.636
END
gmt psxy -: -R $projection -Sl8p+t"30" -G0 -O -K << END >> $psfile
    38.541    69.598
END
gmt psxy -: -R $projection -Sl8p+t"31" -G0 -O -K << END >> $psfile
    38.573    69.618
END
gmt psxy -: -R $projection -Sl8p+t"32" -G0 -O -K << END >> $psfile
    38.587    69.580
END
gmt psxy -: -R $projection -Sl8p+t"33" -G0 -O -K << END >> $psfile
    38.542    69.657
END
gmt psxy -: -R $projection -Sl8p+t"34" -G0 -O -K << END >> $psfile
    38.617    69.670
END
gmt psxy -: -R $projection -Sl8p+t"35" -G0 -O -K << END >> $psfile
    38.414    69.641
END
gmt psxy -: -R $projection -Sl8p+t"36" -G0 -O -K << END >> $psfile
    38.695    70.006
END
gmt psxy -: -R $projection -Sl8p+t"37" -G0 -O -K << END >> $psfile
    38.260    69.482
END
gmt psxy -: -R $projection -Sl8p+t"38" -G0 -O -K << END >> $psfile
    38.561    69.652
END
gmt psxy -: -R $projection -Sl8p+t"39" -G0 -O -K << END >> $psfile
    38.542    69.735
END
gmt psxy -: -R $projection -Sl8p+t"40" -G0 -O -K << END >> $psfile
    38.652    69.896
END
gmt psxy -: -R $projection -Sl8p+t"41" -G0 -O -K << END >> $psfile
    38.689    69.900
END
gmt psxy -: -R $projection -Sl8p+t"42" -G0 -O -K << END >> $psfile
    38.706    69.879
END
gmt psxy -: -R $projection -Sl8p+t"43" -G0 -O -K << END >> $psfile
    38.674    69.900
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.478    69.501
    38.473    69.496
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.459    69.563
    38.473    69.496
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.364    69.526
    38.358    69.517
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.378    69.608
    38.358    69.517
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.482    69.574
    38.478    69.574
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.406    69.679
    38.478    69.574
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.689    69.735
    38.688    69.739
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.667    69.749
    38.688    69.739
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.427    69.534
    38.427    69.533
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.294    69.451
    38.427    69.533
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.471    69.557
    38.478    69.561
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.472    69.525
    38.478    69.561
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.671    69.951
    38.668    69.953
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.683    69.928
    38.668    69.953
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.227    69.394
    38.230    69.397
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.230    69.384
    38.230    69.397
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.792    69.830
    38.791    69.831
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.736    69.718
    38.791    69.831
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.458    68.906
    38.458    68.908
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.563    69.003
    38.458    68.908
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.462    69.149
    38.464    69.150
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.418    69.168
    38.464    69.150
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.479    69.635
    38.490    69.636
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.487    69.560
    38.490    69.636
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.492    68.759
    38.491    68.758
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.518    68.913
    38.491    68.758
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.492    69.493
    38.485    69.503
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.401    69.356
    38.485    69.503
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.578    69.630
    38.577    69.630
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.526    69.701
    38.577    69.630
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.416    69.365
    38.419    69.368
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.576    69.373
    38.419    69.368
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.868    69.789
    38.866    69.789
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.879    69.838
    38.866    69.789
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.830    69.834
    38.828    69.835
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.831    69.873
    38.828    69.835
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.431    69.537
    38.429    69.540
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.474    69.384
    38.429    69.540
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.222    69.549
    38.213    69.540
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.198    69.557
    38.213    69.540
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.739    69.839
    38.738    69.841
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.741    69.926
    38.738    69.841
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.659    69.702
    38.658    69.705
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.659    69.784
    38.658    69.705
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.488    69.584
    38.490    69.585
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.352    69.498
    38.490    69.585
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.489    69.534
    38.490    69.535
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.423    69.557
    38.490    69.535
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.538    69.660
    38.539    69.660
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.285    69.592
    38.539    69.660
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.613    69.597
    38.620    69.596
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.415    69.528
    38.620    69.596
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.602    69.639
    38.597    69.642
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.543    69.497
    38.597    69.642
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.571    69.595
    38.573    69.595
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.487    69.595
    38.573    69.595
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.562    69.635
    38.563    69.636
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.577    69.759
    38.563    69.636
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.542    69.600
    38.541    69.598
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.332    69.561
    38.541    69.598
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.571    69.620
    38.573    69.618
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.413    69.500
    38.573    69.618
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.589    69.580
    38.587    69.580
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.321    69.473
    38.587    69.580
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.534    69.659
    38.542    69.657
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.347    69.563
    38.542    69.657
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.615    69.670
    38.617    69.670
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.633    69.685
    38.617    69.670
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.413    69.639
    38.414    69.641
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.505    69.729
    38.414    69.641
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.695    70.004
    38.695    70.006
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.794    69.877
    38.695    70.006
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.261    69.481
    38.260    69.482
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.168    69.455
    38.260    69.482
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.559    69.653
    38.561    69.652
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.504    69.675
    38.561    69.652
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.543    69.736
    38.542    69.735
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.555    69.746
    38.542    69.735
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.652    69.900
    38.652    69.896
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.754    69.836
    38.652    69.896
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.685    69.904
    38.689    69.900
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.686    69.905
    38.689    69.900
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.705    69.878
    38.706    69.879
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.709    69.923
    38.706    69.879
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    38.675    69.901
    38.674    69.900
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    38.722    69.930
    38.674    69.900
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    38.473    69.496    77.701     2.246     3.085
    38.358    69.517     9.439     4.549     4.897
    38.478    69.574    71.316     2.497     3.225
    38.688    69.739    40.633     3.748     4.453
    38.427    69.533    89.001     1.602     2.948
    38.478    69.561   -88.889     1.908     4.191
    38.668    69.953    68.727     1.962     4.507
    38.230    69.397   -57.165     2.567     4.784
    38.791    69.831    67.348     2.703     7.868
    38.458    68.908    39.750     0.332     2.864
    38.464    69.150    83.343     3.936     5.938
    38.490    69.636    86.686     2.630    10.229
    38.491    68.758   -75.496     4.616     5.030
    38.485    69.503    17.805     4.903     5.648
    38.577    69.630    85.437     1.356     2.505
    38.419    69.368   -83.557     2.620     5.228
    38.866    69.789    62.929     1.893     2.818
    38.828    69.835    63.079     2.007     6.059
    38.429    69.540   -75.022     1.987     3.593
    38.213    69.540   -10.530     3.695     5.289
    38.738    69.841    16.992     2.293     3.012
    38.658    69.705     9.492     3.374     5.442
    38.490    69.585    78.753     2.580     5.378
    38.490    69.535   -71.371     1.246     1.820
    38.539    69.660   -74.966     1.791     2.688
    38.620    69.596    86.082     4.508     7.522
    38.597    69.642    68.983     3.044    10.183
    38.573    69.595    86.434     1.532     2.456
    38.563    69.636   -88.481     1.250     1.769
    38.541    69.598   -56.052     2.768     4.006
    38.573    69.618    76.840     1.801     3.156
    38.587    69.580   -50.673     2.334     3.428
    38.542    69.657    82.828     2.540     4.799
    38.617    69.670   -88.379     2.718     4.054
    38.414    69.641   -84.057     2.491     3.819
    38.695    70.006    67.912     2.434     3.613
    38.260    69.482   -39.778     1.833     2.582
    38.561    69.652    89.400     1.717     2.734
    38.542    69.735    87.899     2.038     3.570
    38.652    69.896    79.909     1.748     5.199
    38.689    69.900    70.562     1.555     3.366
    38.706    69.879    67.213     1.578     3.835
    38.674    69.900    61.146     3.274     5.126
END
# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    38.167    68.727   -88.808     1.911     2.499
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    38.167    68.749   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    38.167    68.727     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    38.167    68.727     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    38.122    68.727   5 km
END
