#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=nurek1.15_dcal.ps
projection=-JM16.0c+
region=-R66.4/72.4/36.3/40.8
gmt psbasemap $region $projection -Bxa1.0f0.5 -Bya1.0f0.5 -BWeSn+t'Direct Calibration nurek1.15' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/g10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Raypaths used in direct calibration
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.900    69.780
    38.473    69.496
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.558    68.775
    38.473    69.496
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.558    68.775
    38.358    69.517
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.558    68.775
    38.478    69.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.000    70.317
    38.478    69.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.000    70.317
    38.688    69.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.900    69.780
    38.688    69.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.900    69.780
    38.688    69.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.558    68.775
    38.427    69.533
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.558    68.775
    38.427    69.533
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.900    69.780
    38.478    69.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.900    69.780
    38.478    69.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.558    68.775
    38.478    69.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.558    68.775
    38.478    69.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.000    70.317
    38.478    69.561
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.000    70.317
    38.668    69.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.000    70.317
    38.668    69.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.900    69.780
    38.668    69.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.558    68.775
    38.668    69.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.558    68.775
    38.668    69.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.558    68.775
    38.230    69.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.558    68.775
    38.230    69.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.000    70.317
    38.230    69.397
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.558    68.775
    38.791    69.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.558    68.775
    38.791    69.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.900    69.780
    38.791    69.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.558    68.775
    38.458    68.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.558    68.775
    38.458    68.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.900    69.780
    38.458    68.908
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.558    68.775
    38.464    69.150
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.000    70.317
    38.464    69.150
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.558    68.775
    38.490    69.636
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.558    68.775
    38.490    69.636
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.558    68.775
    38.491    68.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.900    69.780
    38.491    68.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.900    69.780
    38.491    68.758
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.558    68.775
    38.485    69.503
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.900    69.780
    38.485    69.503
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.900    69.780
    38.485    69.503
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.717    69.717
    38.577    69.630
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.650    69.150
    38.577    69.630
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.650    69.150
    38.577    69.630
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.400    69.350
    38.577    69.630
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.480    68.970
    38.577    69.630
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.900    69.780
    38.577    69.630
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.900    69.780
    38.577    69.630
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.000    70.317
    38.577    69.630
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.558    68.775
    38.577    69.630
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.558    68.775
    38.577    69.630
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.780    68.830
    38.577    69.630
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.780    68.830
    38.577    69.630
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.500    68.233
    38.577    69.630
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.558    68.775
    38.419    69.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.558    68.775
    38.419    69.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.900    69.780
    38.419    69.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.900    69.780
    38.419    69.368
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.717    69.717
    38.866    69.789
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.480    69.820
    38.866    69.789
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.000    70.317
    38.866    69.789
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.650    69.150
    38.866    69.789
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.650    69.150
    38.866    69.789
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.480    68.970
    38.866    69.789
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.558    68.775
    38.866    69.789
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.558    68.775
    38.866    69.789
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.900    69.780
    38.866    69.789
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.900    69.780
    38.866    69.789
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.780    68.830
    38.866    69.789
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.220    71.220
    38.866    69.789
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.220    71.220
    38.866    69.789
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.000    70.317
    38.828    69.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.558    68.775
    38.828    69.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.558    68.775
    38.828    69.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.900    69.780
    38.828    69.835
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.558    68.775
    38.429    69.540
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.900    69.780
    38.429    69.540
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.900    69.780
    38.429    69.540
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.000    70.317
    38.429    69.540
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.900    69.780
    38.213    69.540
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.900    69.780
    38.213    69.540
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.558    68.775
    38.213    69.540
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.000    70.317
    38.738    69.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.000    70.317
    38.738    69.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.900    69.780
    38.738    69.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.900    69.780
    38.738    69.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.558    68.775
    38.738    69.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.000    70.317
    38.658    69.705
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.900    69.780
    38.658    69.705
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.558    68.775
    38.658    69.705
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.806    68.827
    38.490    69.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.806    68.827
    38.490    69.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.806    68.827
    38.490    69.535
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.806    68.827
    38.490    69.535
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.806    68.827
    38.539    69.660
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.806    68.827
    38.539    69.660
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.806    68.827
    38.620    69.596
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.806    68.827
    38.620    69.596
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.806    68.827
    38.597    69.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.806    68.827
    38.573    69.595
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.806    68.827
    38.573    69.595
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.806    68.827
    38.573    69.595
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.806    68.827
    38.563    69.636
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.806    68.827
    38.563    69.636
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.806    68.827
    38.541    69.598
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.806    68.827
    38.541    69.598
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.806    68.827
    38.573    69.618
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.806    68.827
    38.573    69.618
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.806    68.827
    38.587    69.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.806    68.827
    38.587    69.580
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.806    68.827
    38.542    69.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.806    68.827
    38.542    69.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.806    68.827
    38.617    69.670
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.806    68.827
    38.617    69.670
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.806    68.827
    38.414    69.641
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.806    68.827
    38.414    69.641
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.806    68.827
    38.414    69.641
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.000    70.317
    38.695    70.006
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.657    69.158
    38.260    69.482
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.657    69.158
    38.260    69.482
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.000    70.317
    38.260    69.482
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.657    69.158
    38.561    69.652
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.000    70.317
    38.561    69.652
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.657    69.158
    38.542    69.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.657    69.158
    38.542    69.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.000    70.317
    38.542    69.735
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.000    70.317
    38.652    69.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.657    69.158
    38.652    69.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.657    69.158
    38.652    69.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.000    70.317
    38.689    69.900
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.000    70.317
    38.689    69.900
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.000    70.317
    38.689    69.900
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.000    70.317
    38.689    69.900
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.657    69.158
    38.689    69.900
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.657    69.158
    38.689    69.900
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.657    69.158
    38.689    69.900
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.657    69.158
    38.689    69.900
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.657    69.158
    38.689    69.900
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.000    70.317
    38.706    69.879
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.000    70.317
    38.706    69.879
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.000    70.317
    38.706    69.879
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.657    69.158
    38.706    69.879
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.657    69.158
    38.706    69.879
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.657    69.158
    38.706    69.879
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.000    70.317
    38.674    69.900
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.657    69.158
    38.674    69.900
END
# Seismic stations used for direct calibration, marked by a triangle
gmt psxy -: -R $projection -St -Wthick,black -Gblack -O -K << END >> $psfile
    37.900    69.780     0.300
    38.558    68.775     0.300
    39.000    70.317     0.300
    38.717    69.717     0.300
    38.650    69.150     0.300
    38.400    69.350     0.300
    38.480    68.970     0.300
    38.780    68.830     0.300
    38.500    68.233     0.300
    38.480    69.820     0.300
    39.220    71.220     0.300
    38.806    68.827     0.300
    38.657    69.158     0.300
END
# S-P stations used for direct calibration, marked by an open diamond
gmt psxy -: -R $projection -Sd -Wthick -O -K << END >> $psfile
END
# Cluster events, marked by open black circles
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.473    69.496     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.358    69.517     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.478    69.574     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.688    69.739     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.427    69.533     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.478    69.561     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.668    69.953     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.230    69.397     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.791    69.831     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.458    68.908     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.464    69.150     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.490    69.636     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.491    68.758     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.485    69.503     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.577    69.630     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.419    69.368     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.866    69.789     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.828    69.835     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.429    69.540     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.213    69.540     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.738    69.841     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.658    69.705     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.490    69.585     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.490    69.535     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.539    69.660     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.620    69.596     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.597    69.642     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.573    69.595     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.563    69.636     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.541    69.598     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.573    69.618     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.587    69.580     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.542    69.657     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.617    69.670     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.414    69.641     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.695    70.006     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.260    69.482     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.561    69.652     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.542    69.735     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.652    69.896     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.689    69.900     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.706    69.879     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.674    69.900     0.200
END
# Circle of radius 1 and 2 degrees
gmt psxy -: -R $projection -SE -Wthicker,red -O << END >> $psfile
    38.550    69.611     0.000   222.000   222.000
    38.550    69.611     0.000   444.000   444.000
END
